Download:
http://rubyforge.org/projects/korundum/

Release notes:

* The packages should now build with Qt 3.1.x and above, and KDE 3.1.x and
above for Korundum.

* Added a qui extension for loading a Qt Designer .ui file at runtime via
QWidgetFactory

* For example:

     require 'Qt'
     require 'qui'

     a = Qt::Application.new ARGV
     if ARGV.length == 0
         exit
     end

     if ARGV.length == 2
         QUI::WidgetFactory.loadImages ARGV[0]
         w = QUI::WidgetFactory.create ARGV[1]
         if w.nil?
             exit
         end
         w.show
         a.connect( a, SIGNAL('lastWindowClosed()'), a, SLOT('quit()') )
         a.exec
     end

Build instructions:

$ make -f Makefile.cvs
$ ./configure --with-qt-dir=<your qt directory> --prefix=<your install
directory>
$ make
$ make install

A description of QtRuby and Korundum features can be found here:

http://developer.kde.org/language-bindings/ruby/

The text of Qt tutorial #1 has been translated to ruby, and can be found
here:

http://developer.kde.org/language-bindings/ruby/tutorial/tutorial.html

It accompanies the code examples in qtruby/rubylib/tutorial/t1 to t14.

Feedback welcome on ruby-talk, the Korundum Rubyforge forum or on the
kde-bindings / kde.org mailing list.

-- Richard